Bug 147192 - Shell script error in vim
Summary: Shell script error in vim
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: vim   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-04 19:31 UTC by Steve Grubb
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-11 13:50:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Steve Grubb 2005-02-04 19:31:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041228 Firefox/1.0 Fedora/1.0-8

Description of problem:
There is a shell script error in the latest vim in raw hide. There is
a missing " in vimspell.sh at line 25. 

It is:
        [ -e $OUTFILE ] && { echo "Cannot use temporary file $OUTFILE,
it already exists!; exit 1 ; }

It should be:
        [ -e $OUTFILE ] && { echo "Cannot use temporary file $OUTFILE,
it already exists!"; exit 1 ; }

Version-Release number of selected component (if applicable):
vim-common-6.3.058-2

How reproducible:
Always

Steps to Reproduce:
1. sh -n /usr/share/vim/vim63/tools/vimspell.sh

Actual Results:  sh -n /usr/share/vim/vim63/tools/vimspell.sh
/usr/share/vim/vim63/tools/vimspell.sh: line 53: unexpected EOF while
looking for matching `"'
/usr/share/vim/vim63/tools/vimspell.sh: line 55: syntax error:
unexpected end of file


Expected Results:  No problems reported.

Additional info:


Note You need to log in before you can comment on or make changes to this bug.